package com.xlht.xlhtproject.service;

import com.xlht.xlhtproject.domain.TXlhtConf;

import java.util.List;

/**
 * 指标配置Service接口
 * 
 * @author slibra
 * @date 2024-10-13
 */
public interface ITXlhtConfService 
{
    /**
     * 查询指标配置
     * 
     * @param id 指标配置主键
     * @return 指标配置
     */
    public TXlhtConf selectTXlhtConfById(Long id);

    /**
     * 查询指标配置列表
     * 
     * @param tXlhtConf 指标配置
     * @return 指标配置集合
     */
    public List<TXlhtConf> selectTXlhtConfList(TXlhtConf tXlhtConf);

    /**
     * 新增指标配置
     * 
     * @param tXlhtConf 指标配置
     * @return 结果
     */
    public int insertTXlhtConf(TXlhtConf tXlhtConf);

    /**
     * 修改指标配置
     * 
     * @param tXlhtConf 指标配置
     * @return 结果
     */
    public int updateTXlhtConf(TXlhtConf tXlhtConf);

    /**
     * 批量删除指标配置
     * 
     * @param ids 需要删除的指标配置主键集合
     * @return 结果
     */
    public int deleteTXlhtConfByIds(Long[] ids);

    /**
     * 删除指标配置信息
     * 
     * @param id 指标配置主键
     * @return 结果
     */
    public int deleteTXlhtConfById(Long id);
}
