package com.xlht.xlhtproject.service;

import java.util.List;
import com.xlht.xlhtproject.domain.ZAssayFault;

/**
 * 设备故障信息Service接口
 * 
 * @author slibra
 * @date 2024-09-19
 */
public interface IZAssayFaultService 
{
    /**
     * 查询设备故障信息
     * 
     * @param faultId 设备故障信息主键
     * @return 设备故障信息
     */
    public ZAssayFault selectZAssayFaultByFaultId(Long faultId);

    /**
     * 查询设备故障信息列表
     * 
     * @param zAssayFault 设备故障信息
     * @return 设备故障信息集合
     */
    public List<ZAssayFault> selectZAssayFaultList(ZAssayFault zAssayFault);

    /**
     * 新增设备故障信息
     * 
     * @param zAssayFault 设备故障信息
     * @return 结果
     */
    public int insertZAssayFault(ZAssayFault zAssayFault);

    /**
     * 修改设备故障信息
     * 
     * @param zAssayFault 设备故障信息
     * @return 结果
     */
    public int updateZAssayFault(ZAssayFault zAssayFault);

    /**
     * 批量删除设备故障信息
     * 
     * @param faultIds 需要删除的设备故障信息主键集合
     * @return 结果
     */
    public int deleteZAssayFaultByFaultIds(Long[] faultIds);

    /**
     * 删除设备故障信息信息
     * 
     * @param faultId 设备故障信息主键
     * @return 结果
     */
    public int deleteZAssayFaultByFaultId(Long faultId);
}
